<?php
#ini_set('memory_limit', '-1');

if(!function_exists('DbQuery')){
    include("include/db_connect.php");
}

function safe($inp) { 
    if(is_array($inp)) 
        return array_map(__METHOD__, $inp); 

    if(!empty($inp) && is_string($inp)) { 
        return str_replace(array('\\', "\0", "\n", "\r", "'", '"', "\x1a"), array('\\\\', '\\0', '\\n', '\\r', "\\'", '\\"', '\\Z'), $inp); 
    } 

    return $inp; 
} 


$term = safe((empty($_GET['term'])) ? '' : $_GET['term']);

$res = DbQuery("
SELECT 
wheat_atlas.ensembl_id, wheat_atlas_seqid_desc.descr FROM wheat_atlas
INNER JOIN wheat_atlas_seqid_desc ON wheat_atlas.ensembl_id = wheat_atlas_seqid_desc.ensembl_id
WHERE wheat_atlas_seqid_desc.descr ILIKE '%$term%' ORDER BY ensembl_id ASC LIMIT 15;");


$json = array();
$a_json_row = array();
while ($row = pg_fetch_assoc($res)) {

    $a_json_row["id"] = $row["descr"];
    $a_json_row["value"] = $row["ensembl_id"];
    $a_json_row["label"] = $row["ensembl_id"]." - ".$row["descr"];
    
    array_push($json, $a_json_row);

}


header("Content-type: application/json");
echo json_encode($json);

?>
